%global srcname decNumber
%global forgeurl https://github.com/SDL-Hercules-390/%{srcname}
%global commit 3aa2f4531b5fcbd0478ecbaf72ccc47079c67280
%forgemeta

%if 0%{?el8}
%undefine __cmake_in_source_build
%endif
%global _vpath_builddir %{_builddir}/%{srcname}%{__isa_bits}.Release
%global debug_package %{nil}

%global common_description %{expand:
The decNumber library implements the General Decimal Arithmetic Specification
in ANSI C. This specification defines a decimal arithmetic which meets the
requirements of commercial, financial, and human-oriented applications. It
also matches the decimal arithmetic in the IEEE 754 Standard for Floating
Point Arithmetic.

The library fully implements the specification, and hence supports integer,
fixed-point, and floating-point decimal numbers directly, including infinite,
NaN (Not a Number), and subnormal values. Both arbitrary-precision and
fixed-size representations are supported.

This version is a fork by SoftDevLabs (SDL) to support the SDL-Hercules-390
emulator.}

Name:           sdl-decnumber
Version:        3.68.0
Release:    1%{?dist}
Summary:        ANSI C General Decimal Arithmetic Library (SDL version)

License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  sed

%description    %{common_description}

%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}
Provides:       decnumber-devel = %{version}-%{release}
Provides:       decnumber-static = %{version}-%{release}

%description    devel %{common_description}

The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation for %{name}
BuildArch:      noarch
Provides:       decnumber-doc = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation and examples for %{name}.

%prep
%setup -q -c
%autosetup -n %{srcname}-%{commit}
sed -i extra.txt -e 's:DESTINATION .:DESTINATION share/doc/%{name}-doc:g'

%build
%cmake
%cmake_build

%install
%cmake_install
mv %{buildroot}%{_docdir}/%{name}-doc/decnumber.ICU-license.html .

%files devel
%license decnumber.ICU-license.html
%{_includedir}/*.h
%{_libdir}/lib%{srcname}*.a

%files doc
%license decnumber.ICU-license.html
%doc %{_docdir}/%{name}-doc/decnumber.*
%doc examples

%changelog
* Wed Sep 04 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.68.0-1
- initial build
